<!--
  Generated template for the CarInformationPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Vehicle Info</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>

	<div class="text-center pad-all-10" *ngIf="carInfo != null">
		
		<div *ngIf="currentUser.user.paypal_email == null" class="action-notice pad-10">
			<p> You haven't added a PayPal email yet. In order to get paid, you need to provide this.</p> 
			<button (click)="paypalAccount()" class="btn rounded" color="white">Add Paypal</button>
		</div>

		<div class="pad-10">
			<h1>Current Info</h1>
			<p> Your Status: {{carInfo.status}} <br> 
			<h4>Vehicle:</h4> 
				<div *ngIf="carInfo.path_image">
			        <img *ngIf="carInfo.path_image.startsWith('/')" [src]="url + carInfo.path_image" class="img-round">
	          		<img *ngIf="carInfo.path_image.startsWith('h')" [src]="carInfo.path_image" class="img-round">
				</div>
				<p *ngIf="!carInfo.path_image"> There was an error uploading the vehicle image, please upload it again </p>
			<h4>Insurance:</h4> 
			 	<div *ngIf="carInfo.insurance_path"> 	
					<img *ngIf="carInfo.insurance_path.startsWith('/')" [src]="url + carInfo.insurance_path" class="">
	              	<img *ngIf="carInfo.insurance_path.startsWith('h')" [src]="carInfo.insurance_path" class="">
	            </div>  	
	            <p *ngIf="!carInfo.insurance_path"> There was an error uploading the insurance, please upload it again </p>

			<h4>Current Registration:</h4> 
				<div *ngIf="carInfo.registration_path">
					<img *ngIf="carInfo.registration_path.startsWith('/')" [src]="url + carInfo.registration_path" class="">
	              	<img *ngIf="carInfo.registration_path.startsWith('h')" [src]="carInfo.registration_path" class="">
	            </div>
				<p *ngIf="!carInfo.registration_path"> There was an error uploading the registration, please upload it again </p> 

			<h4>Driver's License:</h4> 
				<div *ngIf="carInfo.driver_license">
					<img *ngIf="carInfo.driver_license.startsWith('/')" [src]="url + carInfo.driver_license" class="">
	              	<img *ngIf="carInfo.driver_license.startsWith('h')" [src]="carInfo.driver_license" class="">
	            </div>
	            <p *ngIf="!carInfo.driver_license"> There was an error uploading driver license, please upload it again </p> 
			
		</div>

		<div class="pad-10 text-center">
			<button (click)="updateCarInfo()" color="primary" ion-button block class="btn rounded pad-20">Edit Vehicle Info</button>

		</div>

	</div>
</ion-content>
